Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 281490 - [DEVMANUAL] section about compiling w/o buildsystem doesn't respect LDFLAGS and isn't as-needed conform
Summary: [DEVMANUAL] section about compiling w/o buildsystem doesn't respect LDFLAGS a...
Status: RESOLVED FIXED
Alias: None
Product: [OLD] Docs on www.gentoo.org
Classification: Unclassified
Component: Other documents (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Community Relations Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2009-08-14 19:23 UTC by Justin Lecher
Modified: 2010-08-09 21:00 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Justin Lecher gentoo-dev 2009-08-14 19:23:38 UTC
http://devmanual.gentoo.org/ebuild-writing/functions/src_compile/no-build-system/index.html

says:

gcc $LIBS $CONFIG $CFLAGS -o gkrelltop2.so $OBJS || die

better would be

gcc ${LDFLAGS} $CONFIG $CFLAGS -o gkrelltop2.so $OBJS ${LIBS} || die
Comment 1 Petteri Räty (RETIRED) gentoo-dev 2009-08-15 08:59:37 UTC
Fixed. Thanks for reporting.